# Contributing to Cyclic Boosting

We welcome contributions to Cyclic Boosting! Here are some ways you can get involved:

## Reporting issues

If you encounter a bug or have a feature request, please create a new issue on our GitHub repository. Please include a detailed description of the problem, steps to reproduce, and any relevant error messages.

## Fixing issues

If you're interested in fixing an issue, please check the list of open issues on our GitHub repository. If you don't find an issue that interests you, you can create a new one. Once you've found an issue you want to work on, please leave a comment to let us know you're working on it.

## Adding features

If you have an idea for a new feature or enhancement, please create a new issue on our GitHub repository to discuss the proposal before starting to work on it. Once we've agreed on the feature, you can submit a pull request with your implementation.

## Writing documentation

If you're interested in helping to improve our documentation, you can submit a pull request with your changes. Please make sure to follow the style guide and add tests for any code examples you include.

## Submitting code changes

When you're ready to submit your changes, please follow these steps:

1. Fork the repository and create a new branch for your changes.
2. Make your changes and add tests for any new code.
3. Run the tests locally to make sure they pass.
4. Submit a pull request and describe your changes in detail.

We'll review your changes as soon as possible and provide feedback if necessary. Thank you for contributing to Cyclic Boosting!

## Code of Conduct

[code of conduct](https://github.com/Blue-Yonder-OSS/cyclic-boosting/blob/main/CODE_OF_CONDUCT.md)